rman_html_split(1)

NAME
rman_html_split - split rman html output into separate sections

SYNOPSIS
rman_html_split [ options ] [ file ]

DESCRIPTION
The rman_html_split script reads a file containing HTML produced from a manual page by the rman(1) program, and splits it into a set of files, each containing one section or subsection of the manual. Each section file has added to it an optional header identifying the program described by the manual page, a link to the table of contents, and links to the previous section and the next section. The separate section files are placed in a subdirectory. A symbolic link named index.html is created in this subdirectory, linked to either sect0.html (the first section) or toc.html (the table of contents section).

Use this script to split a large manual page into smaller, more manageable parts for use as online web-based documentation.

OPTIONS

-d dir | --html-dir dir
    Place output into directory dir. The default directory name is html.

-m num | --merge num
    Merge sections 0 thru num into one file. The default for num is 1, since usually section 0 is the NAME section and section 1 is SYNOPSIS, which are usually both short and go well together. Set num to 0 to prevent merging, or set it to a larger number to merge more initial sections. Maximum value of num is 9. There is no provision for merging sections other than consecutive numbers from section 0.

-t | --toc-first
    Link index.html to the table of contents. By default, it is linked to sect0.html. Use this if you prefer the initial page to be the table of contents rather than the first section of the manual page.

-T title | --title title
    Use title as a header on top of each page. This header is displayed using the H2 HTML tag. By default, rman_html_split uses the title generated by rman. By making title the empty string (""), the header can be suppressed entirely.

-h | --help
    Print synopsis and exit.

-V | --version
    Print version information and exit.

SEE ALSO
man(1), rman(1).

BUGS
You tell me.

AUTHOR
Robert K. Moniot <moniot@fordham.edu>
Fordham University
Department of Computer and Information Sciences
New York, NY